<?php

/*
        Plugin Name: Dailybooth fetcher
        Plugin URI: blah
        Description: Fetches pictures from dailybooth.com
        Version: 0.5.5
        Author: knuspermagier
        Author URI: http://knuspermagier.de
*/

/*
    Copyright 2008  knuspermagier  (email : andy@nein-andy.de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

require_once('KnsprDailyboothFetcher.php');

function knspr_dailybooth_filter($content) {
    $content = preg_replace_callback("/\[\[dailybooth:(.*?):([0-9]+)\]\]/i", "knspr_dailybooth_replace", $content);
    return $content;
}

function knspr_dailybooth_replace($matches) {
    return knspr_dailybooth($matches[1], $matches[2]);
}

function knspr_dailybooth($username, $count) {
    $db = new KnsprDailyboothFetcher($username);
    $pictures = $db->getRecentPictures($count);

    $output = '<ul class="dailybooth-pictures">';
    foreach($pictures as $pic) {
        $output .= '<li><a href="'. $pic['link'] .'"><img src="'. get_bloginfo('siteurl') .'/'. $db->getLocalName($pic) .'" alt="dailybooth image" /></a></li>';
    }
    $output .= '</ul>';

    return $output;
}

add_filter('the_content', 'knspr_dailybooth_filter');

